Bug 625866 - (CVE-2010-2947) CVE-2010-2947 libHX: buffer overrun in HX_split()
CVE-2010-2947 libHX: buffer overrun in HX_split()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20100816,reported=20100820,sou...
: Security
Depends On: 625867
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 12:32 EDT by Vincent Danen
Modified: 2015-08-19 04:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-20 00:09:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-20 12:32:07 EDT
A flaw in libHX was fixed [1].  When HX_split() is caled with a maximum number of desired fields (the fourth argument is not 0), passing in a string that has less fields than that led to a buffer overrun (write beyond end of malloc'd area).  This can lead to a remote denial of service on any network services that use libHX.

This flaw affects all versions of libHX up to and including version 3.5.

[1] http://libhx.git.sourceforge.net/git/gitweb.cgi?p=libhx/libhx;a=commitdiff;h=904a46f90dd3f046bfac0b64a5e813d7cd4fca59
Comment 1 Vincent Danen 2010-08-20 12:33:22 EDT
Created libHX tracking bugs for this issue

Affects: fedora-all [bug 625867]
Comment 2 Vincent Danen 2010-08-20 14:09:45 EDT
This has been assigned the name CVE-2010-2947.
Comment 3 Till Maas 2011-07-19 18:49:15 EDT
Does this bug need to be open any longer?
Comment 4 Vincent Danen 2011-07-20 00:09:43 EDT
No, the dependencies are satisfied (as this has been fixed in Fedora).  Thanks for the reminder.  Closing.

Note You need to log in before you can comment on or make changes to this bug.